%define upstream_name    Dist-Zilla-Plugin-CoalescePod
%define upstream_version 1.0.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Merge .pod files into their .pm counterparts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::FilePruner)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
If the files _Foo.pm_ and _Foo.pod_ both exist, the content of the pod file
is appended at the end of the '.pm', and the pod file is removed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0.0-2.mga10
+ Revision: 2218705
- Mageia 10 Mass Rebuild

* Mon Sep 18 2023 tv <tv> 1.0.0-1.mga10
+ Revision: 1987691
- update to 1.0.0

* Mon Mar 21 2022 umeabot <umeabot> 0.3.0-2.mga9
+ Revision: 1814031
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 0.3.0-1.mga9
+ Revision: 1691267
- update to 0.3.0

* Wed Feb 12 2020 umeabot <umeabot> 0.2.2-6.mga8
+ Revision: 1494233
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.2-5.mga7
+ Revision: 1267511
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.2.2-4.mga6
+ Revision: 1026181
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.2.2-3.mga6
+ Revision: 970330
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.2.2-2.mga6
+ Revision: 885938
- Fix BRs

* Tue Jun 23 2015 sander85 <sander85> 0.2.2-1.mga6
+ Revision: 840076
- update to 0.2.2

* Thu Oct 16 2014 umeabot <umeabot> 0.2.1-4.mga5
+ Revision: 768989
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-2.mga4
+ Revision: 530272
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 sander85 <sander85> 0.2.1-1.mga4
+ Revision: 456982
- update to 0.2.1

* Mon Jul 15 2013 sander85 <sander85> 0.2.0-1.mga4
+ Revision: 454694
- update to 0.2.0

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 366111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.1.0-1.mga3
+ Revision: 267211
- imported package perl-Dist-Zilla-Plugin-CoalescePod


* Wed Jul 04 2012 cpan2dist 0.1.0-1mga
- initial mageia release, generated with cpan2dist
